Cyberduck Mountain Duck CLI

#7226 closed defect (fixed)

ability to clear the default editor

Reported by: joe westcott Owned by: yla
Priority: high Milestone: 4.4
Component: core Version: 4.3.1
Severity: normal Keywords: default editor
Cc: Architecture: Intel
Platform: Windows 8

Description

Hi folks, this is a request for the ability to clear the default editor field, and allow Cyberduck to use the system defaults if someone does not want to specify file editor(s).

For example, if I enable the option "Double click opens file in external editor" and I double-click on an Excel (XLSX) file, the system should use Excel to open the file. This used to work in Cyberduck 4.2.1 but there is no way to clear the default editor in Cyberduck 4.3.1.

Thank you for considering it, Joe

Attachments (3)

Cyberduck no option to clear the default editor.png (22.2 KB) - added by joe westcott on May 7, 2013 at 7:09:49 PM.
There is no way to clear the default editor in Cyberduck 4.3.1.
Cyberduck 421 default editor settings.png (25.8 KB) - added by joe westcott on May 31, 2013 at 5:04:33 AM.
Version 4.2.1, with the default editor field set blank
Cyberduck 431 default editor settings.png (23.6 KB) - added by joe westcott on May 31, 2013 at 5:04:55 AM.
Version 4.3.1, with the default editor set as Notepad

Download all attachments as: .zip

Change History (8)

Changed on May 7, 2013 at 7:09:49 PM by joe westcott

There is no way to clear the default editor in Cyberduck 4.3.1.

comment:1 Changed on May 7, 2013 at 9:31:36 PM by dkocher

  • Milestone set to 4.3.2
  • Owner set to yla

comment:2 Changed on May 30, 2013 at 3:43:38 PM by yla

The selected default editor only applies if the checkbox 'Always use this application' is enabled or if there is no program associated for a given file type. Is your checkbox unchecked?

Changed on May 31, 2013 at 5:04:33 AM by joe westcott

Version 4.2.1, with the default editor field set blank

Changed on May 31, 2013 at 5:04:55 AM by joe westcott

Version 4.3.1, with the default editor set as Notepad

comment:3 Changed on May 31, 2013 at 5:08:53 AM by joe westcott

Hi yla, yes, "Always use this application" is unchecked. I've attached screenshots of the default editor settings in version 4.2.1 and version 4.3.1, in Windows 8.

I'm able to recreate the problem on three different models of computers.

In Windows, the Notepad program is the default editor in Cyberduck 4.3.1 (and version 4.3), and Cyberduck ignores the "always use this application" setting.

comment:3 Changed on May 31, 2013 at 5:08:56 AM by joe westcott

Hi yla, yes, "Always use this application" is unchecked. I've attached screenshots of the default editor settings in version 4.2.1 and version 4.3.1, in Windows 8.

I'm able to recreate the problem on three different models of computers.

In Windows, the Notepad program is the default editor in Cyberduck 4.3.1 (and version 4.3), and Cyberduck ignores the "always use this application" setting.

comment:4 Changed on Sep 20, 2013 at 3:06:18 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r13069.

Note: See TracTickets for help on using tickets.
swiss made software